/* 
	This file is part of PPPCOSTS, version 0.03.
	Copyright (c) 1996 Tillmann Steinbrecher.
	May be distributed according to the terms of the GNU
	General Public License version 2. No warranty.

	Phone costs for the Deutsche Telekom AG.
	Local Area ("City-Tarif") prices. Now also includes Regio50
	prices, contributed by Karl <mini@stud.uni-sb.de>.
	
	I think that
	
	******   THE GERMAN TELEKOM SUCKS BIGTIME !    ******
		
	Have a look at these prices and you'll understand why!	

	Please modify this file for your phone company's prices
	and send it to tst@bigfoot.com. Thanks a lot! 
*/

#define COSTS_PER_UNIT 0.12

#define CURRENCY "DM "

#define DECIMALS "2"

#define CITY_ZONE /* (or R50_ZONE for Regio50 tarif) */

#ifdef CITY_ZONE

int getunitlength(time_t tt){
	int unitsecs;
	struct tm* ct;
	/* Phone unit lengths for German Telecom - hardcoded. */
	ct=localtime(&tt);
	/*	printf(" It's %u o'clock.\n", ct->tm_hour); */
	if(*ctime(&tt)=='S'){  /* Smart way to check for weekends ;-) */
		
			
		if(ct->tm_hour < 5)	 	 	unitsecs=240;
		if(ct->tm_hour>=5 &&  ct->tm_hour<21)   unitsecs=150;
		if(ct->tm_hour>= 21) 		        unitsecs=240;	

	} else {
	
		
		if(ct->tm_hour < 5)	 	 	unitsecs=240;
		if(ct->tm_hour>=5 &&  ct->tm_hour<9)    unitsecs=150;
		if(ct->tm_hour>=9 &&  ct->tm_hour<18)   unitsecs= 90;
		if(ct->tm_hour>=18 && ct->tm_hour<21)   unitsecs=150;
		if(ct->tm_hour>= 21) 		        unitsecs=240;	
        }
	return unitsecs;
 }
#endif	

#ifdef R50_ZONE
int getunitlength(time_t tt){
	int unitsecs;
	struct tm* ct;
	/* Phone unit lengths for German Telecom - hardcoded. */
	ct=localtime(&tt);
	/*	printf(" It's %u o'clock.\n", ct->tm_hour); */
	if(*ctime(&tt)=='S'){  /* Smart way to check for weekends ;-) */
		
			
		if(ct->tm_hour < 5)	 	 	unitsecs=60;
		if(ct->tm_hour>=5 &&  ct->tm_hour<21)   unitsecs=45;
		if(ct->tm_hour> 21) 		        unitsecs=60;	

	} else {
	
		if(ct->tm_hour < 2)	 	 	unitsecs=60;
		if(ct->tm_hour>=2 &&  ct->tm_hour<5)    unitsecs=120;
		if(ct->tm_hour>=5 &&  ct->tm_hour<9)    unitsecs=45;
		if(ct->tm_hour>=9 &&  ct->tm_hour<12)   unitsecs=26;
		if(ct->tm_hour>=12 &&  ct->tm_hour<18)  unitsecs=30;
		if(ct->tm_hour>=18 &&  ct->tm_hour<21)  unitsecs=45;
		if(ct->tm_hour> 21) 		        unitsecs=60;	

        }
	return unitsecs;
 }

#endif
