/* 
	This file is part of PPPCOSTS, version 0.01.
	Copyright (c) 1996 Tillmann Steinbrecher.
	May be distributed according to the terms of the GNU
	General Public License version 2. No warranty.
        
        Modified by Antonio Coutinho
        <ajc@di.uminho.pt>
        
        Phone costs for Portugal Telecom.
        Local area prices.

	Please modify this file for your phone company's prices
	and send it to tst@bigfoot.com. Thanks a lot! 	
*/

#define COSTS_PER_UNIT 12.5 /* 17-Nov-1996, it about to go up :-( */ 

#define CURRENCY "Esc "

#define DECIMALS "2"

int getunitlength(time_t tt){
	int unitsecs;
	struct tm* ct;
	/* Phone unit lengths for Portugal Telecom - hardcoded. */
	ct=localtime(&tt);
	/*	printf(" It's %u o'clock.\n", ct->tm_hour); */
	if(*ctime(&tt)=='S'){  /* Smart way to check for weekends ;-) */
		
		unitsecs=540; /* 9 minutes */	

	} else {
	
		
		if(ct->tm_hour < 8)	 	 	unitsecs=540;
		if(ct->tm_hour>=8 &&  ct->tm_hour<10)   unitsecs=360;
		if(ct->tm_hour>=10 && ct->tm_hour<13)   unitsecs=180;
		if(ct->tm_hour>=13 && ct->tm_hour<14)   unitsecs=360;
		if(ct->tm_hour>=14 && ct->tm_hour<18)   unitsecs=180;
		if(ct->tm_hour>=18 && ct->tm_hour<22)   unitsecs=360;
		if(ct->tm_hour>=22) 		        unitsecs=540;	
        }
	return unitsecs;
 }
